import {
	reactive,
	ref,
	toRefs
} from "vue";
import {
	onLoad
} from '@dcloudio/uni-app'
import {
	catchError
} from "@/utils/common.js"
import * as httpCatalogue from "@/api/catalogue.js"

export function useCatalogue(props) {
	const data = reactive({
		xueqi: null,
		nianji: null
	})

	data.nianji = props.nianji;
	data.xueqi = props.xueqi;

	async function getCatalogue() {
		return await catchError(httpCatalogue.getCatalogue({
			nianji: +data.nianji,
			xueqi: +data.xueqi
		}));
	}

	return {
		...toRefs(data),

		// 获取章节数据
		getCatalogue
	}
}